Panoramica dello Strumento di distribuzione Web per Gestione IIS

Lo Strumento di distribuzione Web (Distribuzione Web) consente di eseguire la sincronizzazione di configurazione IIS, contenuto, certificati SSL o altri tipi di dati da un sito o un server specificato dall'utente a una destinazione specificata dall'utente. È inoltre possibile distribuire oggetti, come ad esempio le chiavi del Registro di sistema, che non sono inclusi per impostazione predefinita.

Delega servizio di gestione

In IIS Manager Distribuzione Web aggiunge una funzionalità solo per amministratori a livello di server denominata Delega servizio di gestione che consente di controllare con un alto grado di precisione le azioni di distribuzione che possono essere eseguite dagli utenti remoti. Per ulteriori informazioni, vedere Pagina Delega servizio di gestione.

Esportazione e importazione di applicazioni

Nel riquadro Azioni di IIS Manager è possibile utilizzare la procedura guidata Esporta pacchetto di applicazioni dello strumento per creare file compressi (pacchetti) contenenti siti, applicazioni e contenuto. Per ulteriori informazioni, vedere Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server.

Dopo aver esportato un pacchetto, è possibile utilizzare la procedura guidata Importa pacchetto di applicazioni per installare il contenuto del pacchetto in un'altra posizione. Per ulteriori informazioni, vedere Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server.

Funzionalità dalla riga di comando

Il programma eseguibile Msdeploy.exe dello Strumento di distribuzione Web offre molte funzionalità potenti dalla riga di comando. Per una guida di riepilogo sulle funzionalità di Msdeploy.exe, digitare msdeploy -help in una finestra del prompt dei comandi. Per una guida in linea più dettagliata, vedere Web Deployment Tool (informazioni in lingua inglese).

Ulteriori risorse in linea

IIS.NET: Web Deployment Tool

IIS.NET: Web Deployment Tool Forum

IIS.NET: Microsoft Web Deployment Team Blog Posts


Guida dell'interfaccia utente dello Strumento di distribuzione Web

IIS Manager fornisce descrizioni per tutti gli elementi dell'interfaccia utente presenti in ogni pagina di funzionalità, finestra di dialogo e pagina di procedura guidata all'interno di IIS Manager. Per visualizzare questa guida, premere F1 nella pagina di funzionalità, finestra di dialogo o pagina di procedura guidata attiva.

In questa sezione

Pagina Delega servizio di gestione

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Pagina Delega servizio di gestione

Utilizzare la pagina Delega servizio di gestione per specificare le regole che controllano i diritti di distribuzione degli utenti remoti. La pagina Delega servizio di gestione può essere utilizzata solo dagli amministratori e viene visualizzata solo a livello di server.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Provider | Visualizza il provider o i provider a cui viene applicata la regola.
Percorso | Visualizza il percorso a cui viene applicata la regola.
Tipo di percorso | Visualizza il tipo di percorso. I valori possibili sono: PathPrefix, StringPrefix, StringSuffix, ConnectionString e RegularExpression.
Azioni | Visualizza le azioni che verranno eseguite dalla regola. I valori tipici per i provider di Distribuzione Web sono: Read, Write e *.
Tipo di identità | Visualizza il tipo di identità con cui verrà eseguita la regola. I valori possibili sono: CurrentUser, ProcessIdentity e SpecificUser.
Nome utente | Visualizza il nome utente quando si seleziona SpecificUser come tipo di identità. Se il tipo di identità è CurrentUser o ProcessIdentity, non verrà visualizzato alcun nome utente.
Stato | Consente di visualizzare se la regola è abilitata o disabilitata. Per abilitare o disabilitare una regola, fare clic su Abilita regola o Disabilita regola nel riquadro Azioni.

Elementi del riquadro Azioni

Nome dell'elemento | Descrizione
Aggiungi regola... | Apre la finestra di dialogo Aggiungi regola. Selezionare questa opzione per aggiungere una regola. Per ulteriori informazioni, vedere Finestra di dialogo Aggiungi regola (Delega servizio di gestione).
Aggiungi utente alla regola… | Apre la finestra di dialogo Aggiungi utente alla regola. Per ulteriori informazioni, vedere Finestra di dialogo Aggiungi utente alla regola.
Modifica… | Apre la finestra di dialogo Modifica regola. Per ulteriori informazioni, vedere Finestre di dialogo Aggiungi regola o Modifica regola.
Rimuovi | Rimuove la regola di delega selezionata o l'utente della regola di delega.
Disabilita regola | Disabilita la regola di delega selezionata.
Abilita regola | Abilita la regola di delega selezionata.
Modifica impostazioni funzionalità… | Apre la finestra di dialogo Modifica impostazioni funzionalità. Per ulteriori informazioni, vedere Finestra di dialogo Modifica impostazioni funzionalità (Delega servizio di gestione).


Finestra di dialogo Aggiungi regola (Delega servizio di gestione)
Vedere anche

Utilizzare la finestra di dialogo Seleziona modello di regola per selezionare un modello da utilizzare per creare una regola di delega personalizzata. È possibile scegliere un modello vuoto o un modello installato progettato per scenari specifici.

Elementi dell'interfaccia utente

Modelli installati

Nome dell'elemento Descrizione

Regola vuota

Crea una regola vuota da personalizzare.

Distribuisci solo contenuto

Crea una regola che consente la distribuzione di contenuto. La regola consente a un utente autorizzato di Servizio di gestione Web (WMSvc) di pubblicare contenuto in un percorso per il quale l'utente dispone già dell'autorizzazione WMSvc. La regola può essere modificata in modo da limitare l'accesso a un percorso o un utente specifico. Questa regola utilizza il provider contentPath che sincronizza il contenuto del sito Web. Per ulteriori informazioni, vedere Web Deploy contentPath Provider (informazioni in lingua inglese).

Distribuisci applicazioni con contenuto

Crea una regola che consente la distribuzione di applicazioni. Questo modello non include una regola per contrassegnare una cartella come applicazione ma viene spesso utilizzato insieme a tale regola. La regola consente a un utente WMSvc autorizzato di pubblicare un'applicazione in un percorso per il quale l'utente dispone già dell'autorizzazione WMSvc. La regola può essere modificata in modo da limitare l'accesso a un percorso o un utente specifico. Questa regola utilizza i provider contentPath e iisApp. Per ulteriori informazioni, vedere Web Deploy contentPath Provider (informazioni in lingua inglese) e Web Deploy iisApp Provider (informazioni in lingua inglese).

Distribuisci database

Crea una regola che consente la distribuzione di database. La regola consente a un utente WMSvc autorizzato di pubblicare in un database per il quale l'utente dispone delle autorizzazioni di accesso. Il modello specifica che l'account utilizzato è CurrentUser a indicare che verrà utilizzata la stringa di connessione per autenticare l'utente nel server database. La regola può essere modificata in modo da limitare l'accesso a un nome o server database specifico. Questa regola utilizza il provider dbFullSql, che consente la prima pubblicazione di database da un database di sviluppo SQL Server locale in un database SQL Server ospitato in remoto. Per ulteriori informazioni, vedere Web Deploy dbFullSql Provider (informazioni in lingua inglese).

Contrassegna cartelle come applicazioni

Crea una regola che contrassegna una cartella come applicazione. La regola consente a un utente WMSvc autorizzato di contrassegnare una cartella come applicazione. A meno che l'utente non sia un amministratore, è necessario modificare il tipo di identità in un account che dispone dell'accesso in scrittura al file ApplicationHost.config. Il tipo di identità predefinito per questa regola è SpecificUser. Questa regola utilizza il provider createApp, richiesto per contrassegnare le cartelle come applicazioni e la cui funzionalità è inclusa nel provider iisApp. Per ulteriori informazioni, vedere Web Deploy Providers (informazioni in lingua inglese).

Imposta autorizzazioni per applicazioni

Crea una regola che imposta gli ACL per un percorso applicazione. La regola consente a un utente WMSvc autorizzato di impostare gli ACL del file system per un percorso applicazione per il quale l'utente dispone già dell'autorizzazione WMSvc. Il modello specifica che l'account utilizzato è CurrentUser a indicare che l'utente deve disporre delle autorizzazioni prima di poter modificare gli ACL. La regola può essere modificata in modo da limitare l'accesso a un percorso o un utente specifico. Questa regola utilizza il provider setAcl che imposta le autorizzazioni in una cartella di destinazione. Per ulteriori informazioni, vedere Web Deploy setAcl Provider (informazioni in lingua inglese).

Backup e ripristino database (mediante Autenticazione SQL)

Crea una regola che esegue il backup e il ripristino dei database mediante l'autenticazione SQL. La regola consente a un utente WMSvc autorizzato di creare o ripristinare un backup del database per il quale l'utente dispone già delle autorizzazioni di accesso. Le operazioni di backup e ripristino vengono eseguite come identità utente specifico mediante l'autenticazione SQL. La regola può essere modificata in modo da limitare l'accesso a un database specifico o a un set di utenti specifico.

Nota
Utilizzare questo modello con l'estensione di IIS Database Manager. Per ulteriori informazioni su IIS Database Manager, vedere Database Manager (informazioni in lingua inglese).

Backup e ripristino database (mediante Protezione integrata di Windows)

Crea una regola che esegue il backup e il ripristino dei database mediante l'autenticazione Windows. La regola consente a un utente WMSvc autorizzato di creare o ripristinare un backup del database per il quale l'utente dispone già delle autorizzazioni di accesso. La regola può essere modificata in modo da limitare l'accesso a un database specifico o a un set di utenti specifico.

Nota
Utilizzare questo modello con l'estensione di IIS Database Manager. Per ulteriori informazioni su IIS Database Manager, vedere Database Manager (informazioni in lingua inglese).

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server

Altre risorse

Web Deploy Providers (informazioni in lingua inglese)


Finestre di dialogo Aggiungi regola o Modifica regola

Utilizzare le finestre di dialogo Aggiungi regola e Modifica regola per aggiungere e modificare regole di delega.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Provider | Fare clic sull'elenco a discesa per selezionare o deselezionare i provider che si desidera aggiungere alla regola o rimuovere dalla stessa, quindi fare clic sulla freccia a discesa per accettare le modifiche. I provider verranno visualizzati in un elenco delimitato da virgole. Per ulteriori informazioni sui provider di Distribuzione Web, vedere Web Deploy Providers (informazioni in lingua inglese).
Azioni | Fare clic sull'elenco a discesa per selezionare o deselezionare le azioni che si desidera aggiungere alla regola o rimuovere dalla stessa, quindi fare clic sulla freccia a discesa per accettare le modifiche. Le azioni verranno visualizzate in un elenco delimitato da virgole. I valori tipici per Distribuzione Web sono: Read, Write e *.
Tipo di percorso | Selezionare un tipo di percorso nell'elenco a discesa. I valori possibili sono: PathPrefix, StringPrefix, StringSuffix, ConnectionString e RegularExpression. Per ulteriori informazioni sulle espressioni regolari, vedere Espressioni regolari.
Percorso | Digitare il percorso a cui verrà applicata la regola.
Tipo di identità | Selezionare il tipo di identità per la regola nell'elenco a discesa. L'identità selezionata eseguirà la regola. I valori possibili sono: CurrentUser, ProcessIdentity e SpecificUser. CurrentUser specifica che verrà utilizzata l'identità dell'utente corrente. ProcessIdentity specifica che verrà utilizzata l'identità del servizio locale WMSvc. SpecificUser specifica che verrà utilizzata un'identità speciale specificata dall'utente. Se si specifica SpecificUser, è necessario fornire le credenziali utilizzando il pulsante Imposta di Specifica credenziali.
Specifica credenziali | Abilita il pulsante Imposta quando si seleziona SpecificUser come tipo di identità.
Imposta | Apre la finestra di dialogo Imposta credenziali che consente di specificare un nome utente e una password per l'identità SpecificUser. Per ulteriori informazioni, vedere Finestra di dialogo Imposta credenziali.


Finestra di dialogo Imposta credenziali

Utilizzare la finestra di dialogo Imposta credenziali per fornire il nome e la password dell'utente Windows che eseguirà la regola.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome utente | Digitare il nome utente di un utente Windows.
Password | Digitare la password.
Conferma password | Digitare di nuovo la password per confermarla.

Vedere anche

Concetti

Finestre di dialogo Aggiungi regola o Modifica regola


Finestra di dialogo Aggiungi utente alla regola

Utilizzare la finestra di dialogo Aggiungi utente alla regola per consentire o negare l'accesso di un utente a una regola.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome | Digitare il nome utente.
Tipo di accesso | Selezionare il tipo di accesso da assegnare all'utente specificato. I valori possibili sono Allow e Deny.
È ruolo? | Selezionare questa casella di controllo se il nome utente specificato è un alias di un gruppo di utenti a cui verrà consentito o negato l'accesso.


Finestra di dialogo Modifica impostazioni funzionalità (Delega servizio di gestione)

Utilizzare la finestra di dialogo Modifica impostazioni funzionalità per consentire agli amministratori di ignorare le regole di delega e per consentire la registrazione delle richieste non riuscite.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Consenti agli amministratori di ignorare le regole

Selezionare questa opzione per consentire agli amministratori di ignorare le regole di delega specificate.

Abilita registri di traccia delle richieste non riuscite per il servizio di delega

Selezionare questa opzione per abilitare la registrazione delle informazioni sulle richieste non riuscite.

Avviso
Per utilizzare questa funzionalità, è necessario che sia installato il modulo di traccia delle richieste non riuscite.


Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server

Pagina Seleziona contenuto del pacchetto

Pagina Seleziona parametri

Pagina Salva pacchetto

Finestra di dialogo Crittografa password

Pagina Stato esportazione e riepilogo


Pagina Seleziona contenuto del pacchetto

Utilizzare la pagina Seleziona contenuto del pacchetto della procedura guidata Esporta pacchetto di applicazioni per visualizzare i componenti inclusi nel pacchetto che si desidera creare.

I pacchetti possono contenere componenti, come ad esempio impostazioni del Registro di sistema, oggetti COM, assembly GAC o certificati. Per installare questi componenti nel server, è necessario essere membro del gruppo Administrators o aver ricevuto in delega l'autorità appropriata. Per installare solo il contenuto, non è necessario disporre dei diritti utente di amministratore.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Contenuto del pacchetto

Elenca i componenti inclusi nel pacchetto. Per specificare gli elementi da includere nel pacchetto, selezionare o deselezionare le caselle di controllo dei componenti appropriate. È possibile ad esempio includere o escludere un database SQL o un assembly GAC selezionando o deselezionando la casella di controllo corrispondente.

Attenzione
Alcuni componenti possono essere richiesti dall'applicazione. Se si deselezionano le caselle di controllo di tali componenti, l'applicazione potrebbe non funzionare correttamente dopo l'installazione.

Attributi

Visualizza nel riquadro destro gli attributi del file, della directory o del componente selezionato. Questi valori sono di sola lettura.

Gestisci componenti...

Apre la finestra di dialogo Gestisci componenti. In questo modo sarà possibile selezionare i componenti che si desidera includere. Per ulteriori informazioni, vedere Finestra di dialogo Gestisci componenti.

Impostazioni avanzate...

Apre la finestra di dialogo Impostazioni avanzate. che consente di specificare le impostazioni e le regole dell'operazione. Per ulteriori informazioni, vedere Finestra di dialogo Impostazioni avanzate (esportazione).

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server

Altre risorse

Export a Package through IIS Manager, risorsa in linea (informazioni in lingua inglese)


Finestra di dialogo Gestisci componenti

Utilizzare la finestra di dialogo Gestisci componenti della procedura guidata Esporta pacchetto di applicazioni per aggiungere al pacchetto componenti, come ad esempio oggetti COM o assembly GAC.

Elementi dell'interfaccia utente

Intestazioni colonne

Nome dell'elemento Descrizione

Nome provider

Specifica il componente che si desidera aggiungere al pacchetto. Ogni componente dispone di un provider. Fare clic sul campo e selezionare il nome di un provider nell'elenco a discesa. Posizionare il puntatore del mouse sul nome di un provider per visualizzarne la descrizione. Se ad esempio si seleziona dbFullSql, al pacchetto verrà aggiunto il percorso di uno script o una stringa di connessione. Per ulteriori informazioni sui provider, vedere Web Deploy Providers (informazioni in lingua inglese).

Importante
Se al pacchetto si aggiunge un sito Web, il provider iisApp (selezionato per impostazione predefinita) contrassegnerà il sito Web come applicazione nella destinazione. Se si desidera aggiungere al pacchetto un sito Web e tutta la configurazione correlata, ad esempio il nome del pool di applicazioni, il percorso della directory contenuto e gli eventuali certificati, utilizzare il provider appHostConfig. Se si utilizza il provider iisApp, il sito Web diventerà un'applicazione nella destinazione ereditando tutte le relative impostazioni, ad esempio il nome del pool di applicazioni e la directory contenuto, dal sito in cui è installato.

Percorso

Specifica il percorso del componente che fornirà i dati per il pacchetto. Se ad esempio si seleziona dbFullSql, il percorso può specificare uno script quale C:\SQLfiles\installSQL.sql o una stringa di connessione quale Data Source=.\sqlexpress;Integrated Security=SSPI;Initial Catalog=db1.

Impostazioni provider

Specifica le impostazioni del provider che si desidera utilizzare per il provider selezionato. Fare clic sul campo e selezionare il pulsante sfoglia (…) per aprire la finestra di dialogo Impostazioni provider. Per ulteriori informazioni, vedere Finestra di dialogo Impostazioni provider.

Pulsanti

Nome dell'elemento | Descrizione
Rimuovi | Consente di eliminare la voce selezionata.
Sposta su | Consente di spostare la riga selezionata verso l'alto nell'elenco. Le voci vengono installate nell'ordine in cui appaiono nell'elenco. L'ordine delle voci è importante per alcuni provider. Ad esempio, uno script per creare una tabella deve essere eseguito prima di uno script per popolare una tabella.
Sposta giù | Consente di spostare la riga selezionata verso il basso nell'elenco. Le voci vengono installate nell'ordine in cui appaiono nell'elenco.

Vedere anche

Concetti

Pagina Seleziona contenuto del pacchetto
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestra di dialogo Impostazioni provider

Utilizzare la finestra di dialogo Impostazioni provider per specificare le impostazioni per il provider selezionato. Non tutti i provider dispongono di impostazioni.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Nome impostazione | Visualizza il nome dell'impostazione per il provider selezionato. Vengono visualizzate solo le impostazioni relative al provider selezionato.
Valore impostazione | Digitare o selezionare il valore per l'impostazione. Se è disponibile un elenco a discesa, i valori possibili per l'impostazione saranno contenuti nell'elenco. Per i valori che devono essere digitati, le informazioni sui valori accettabili vengono fornite nella casella della descrizione.
Descrizione impostazione | Visualizza una descrizione dell'impostazione selezionata per il provider. Fornisce informazioni sui valori consentiti per l'impostazione.

Vedere anche

Concetti

Finestra di dialogo Gestisci componenti
Pagina Seleziona contenuto del pacchetto
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server

Altre risorse

Web Deploy Provider Settings (informazioni in lingua inglese)


Finestra di dialogo Impostazioni avanzate (esportazione)

Utilizzare la finestra di dialogo Impostazioni avanzate della procedura guidata Esporta pacchetto di applicazioni per specificare le impostazioni del pacchetto.

Elementi dell'interfaccia utente

Opzioni avanzate

Nome dell'elemento Descrizione

Crittografa password

Fare clic … per aprire la finestra di dialogo Crittografia Password al fine di specificare una password alfanumerica che controlla l'accesso a proprietà protette nella configurazione IIS.

Distribuzione Web rileva automaticamente la presenza di un oggetto crittografato, come un pool di applicazioni con un'identità personalizzata, nei file di configurazione a livello di server, ad esempio ApplicationHost.config o Machine.config. Se tale oggetto è presente, è necessario digitare una password per l'oggetto. Se non si specifica la password corretta, l'operazione di esportazione avrà esito negativo.

Importante
Distribuzione Web non verifica la presenza di oggetti crittografati nei file Web.config.

Includi ACL

Selezionare True se gli ACL del percorso specificato verranno copiati dall'origine alla destinazione; in caso contrario, selezionare False. Questa impostazione è valida per il file system, il Registro di sistema e la metabase e solo per i provider seguenti: appHostConfig, contentPath, iisApp, metaKey, webServer e webServer60. Il valore predefinito è false.

Estensioni del collegamento

Fare clic sul campo a destra, quindi fare clic sulla freccia per visualizzare l'elenco a discesa contenente le estensioni del collegamento. Selezionare o deselezionare le estensioni nell'elenco per abilitare o disabilitare le estensioni del collegamento che si desidera applicare all'operazione. Le estensioni del collegamento includono o escludono tipi di dati specifici di un'operazione. Le estensioni disponibili di Distribuzione Web sono: AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension e HttpCertConfigExtension. Tali estensioni vengono selezionate per impostazione predefinita. Per ulteriori informazioni sulle estensioni del collegamento, vedere Web Deploy Link Extensions (informazioni in lingua inglese).

Numero tentativi

Digitare il numero di tentativi del provider dopo un errore. Il numero predefinito di tentativi è 5. Per impostazione predefinita, tra i tentativi si verifica un ritardo di un secondo. L'impostazione del numero di tentativi può essere utilizzata solo con il provider contentPath.

Intervallo tentativi

Digitare un valore in millisecondi. Tale valore specifica l'intervallo di tempo tra i tentativi del provider. L'impostazione predefinita è 1000 (un secondo). Tale impostazione può essere utilizzata solo con il provider contentPath.

Livello traccia

Selezionare un valore nell'elenco a discesa che specifica il livello di dettaglio dei registri dei messaggi di errore. I valori possibili sono: Off, Error, Warning, Info e Verbose. Il valore predefinito è Info. Off indica che non verrà registrato alcun messaggio di errore. Verbose indica che verranno registrati tutti i messaggi.

Opzioni di sincronizzazione

Nome dell'elemento Descrizione

Regole

Apre la finestra di dialogo Abilita o disabilita regole che consente di specificare le regole per l'operazione. Per ulteriori informazioni, vedere Finestra di dialogo Abilita o disabilita regole.

WhatIf

Fare clic nell'elenco a discesa per selezionare True o False. True specifica che l'operazione verrà eseguita senza apportare effettivamente le modifiche. È possibile utilizzare questa impostazione per visualizzare i risultati di un'operazione e verificare se tutti gli elementi dell'operazione vengono eseguiti correttamente. Il valore predefinito è False.

Nota
Un comando che viene eseguito correttamente con l'impostazione WhatIf potrebbe non riuscire quando viene eseguito senza l'impostazione WhatIf. Ciò può essere dovuto al verificarsi di errori imprevisti durante l'operazione. Ad esempio, poiché durante un'operazione con l'impostazione WhatIf non vengono scritti dati, non verranno rilevati gli errori relativi all'autorizzazione di scrittura. L'impostazione WhatIf mostra solo il risultato dell'esecuzione di tutte le operazioni del comando.

Vedere anche

Concetti

Pagina Seleziona contenuto del pacchetto
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestra di dialogo Abilita o disabilita regole

Utilizzare la finestra di dialogo Abilita o disabilita regole per abilitare o disabilitare le regole che influiscono sul risultato di un'operazione di sincronizzazione. Selezionare Stato nell'elenco a discesa Raggruppa per per raggruppare le regole nelle categorie di disabilitazione e abilitazione oppure selezionare Nessun raggruppamento per visualizzare le regole in ordine alfabetico.

Elementi dell'interfaccia utente

Intestazioni colonne

Nome dell'elemento | Descrizione
Nome | Elenca i nomi delle regole di sincronizzazione che è possibile abilitare o disabilitare. Le regole in grassetto sono abilitate per impostazione predefinita. Le regole con il testo ombreggiato sono disabilitate per impostazione predefinita. Per abilitare o disabilitare una regola, selezionare la regola e utilizzare i pulsanti Abilita regola o Disabilita regola. Per ulteriori informazioni sulle regole, vedere Web Deploy Rules (informazioni in lingua inglese).

Pulsanti

Nome dell'elemento | Descrizione
Abilita regola | Abilita la regola selezionata.
Disabilita regola | Disabilita la regola selezionata.

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server
Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Pagina Seleziona parametri

Utilizzare la pagina Seleziona parametri della procedura guidata Esporta pacchetto di applicazioni per aggiungere parametri al pacchetto o per rimuoverli dallo stesso. È possibile assegnare un parametro a un attributo durante la creazione del pacchetto. Successivamente, dopo l'installazione del pacchetto, è possibile specificare un valore personalizzato per il parametro e il nuovo valore verrà assegnato all'attributo. I parametri vengono generati automaticamente per ogni provider.

Elementi dell'interfaccia utente

Intestazioni colonne

Nome dell'elemento | Descrizione
Nome | Elenca i nomi dei parametri aggiunti mediante la finestra di dialogo Aggiungi parametro. Per modificare un parametro, fare doppio clic sul parametro o selezionare il parametro, quindi fare clic su Modifica.
Tipo | Visualizza il tipo di parametro per l'attributo che verrà parametrizzato.
Ambito | Visualizza l'ambito dell'attributo che verrà parametrizzato.
Corrispondenza | Visualizza l'espressione di corrispondenza che identificherà l'attributo da parametrizzare.

Pulsanti

Nome dell'elemento Descrizione

Aggiungi parametro

Apre la finestra di dialogo Aggiungi parametro. Consente di aggiungere un parametro e impostarne le proprietà. Per ulteriori informazioni, vedere Finestre di dialogo Aggiungi parametro e Modifica parametro.

Aggiungi voce di parametro

Apre la finestra di dialogo Aggiungi voce di parametro. Consente di configurare i valori Tipo, Ambito e Corrispondenza per il parametro selezionato. Per ulteriori informazioni, vedere Finestra di dialogo Aggiungi voce di parametro. Questa opzione viene abilitata quando si seleziona o una voce di parametro.

Modifica

Se si seleziona un parametro, questo pulsante apre la finestra di dialogo Modifica parametro. Consente di modificare le proprietà esistenti di un parametro. Per ulteriori informazioni, vedere Finestre di dialogo Aggiungi parametro e Modifica parametro.

Se si seleziona una voce di parametro, questo pulsante apre la finestra di dialogo Modifica voce di parametro. Per ulteriori informazioni, vedere Finestra di dialogo Modifica voce di parametro.

Rimuovi

Consente di rimuovere il parametro selezionato.

Sposta su

Consente di spostare il parametro selezionato verso l'alto nell'elenco di parametri. I parametri vengono elaborati nell'ordine in cui appaiono nell'elenco.

Sposta giù

Consente di spostare il parametro selezionato verso il basso nell'elenco di parametri. I parametri vengono elaborati nell'ordine in cui appaiono nell'elenco.

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestre di dialogo Aggiungi parametro e Modifica parametro

Utilizzare la finestra di dialogo Aggiungi parametro o la finestra di dialogo Modifica parametro per aggiungere un nuovo parametro per il pacchetto di applicazioni o per modificare un parametro esistente.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Nome

Digitare un nome per il parametro, ad esempio Connection String.

Valore predefinito

Digitare un valore predefinito per il parametro. Quando successivamente il pacchetto viene distribuito, il parametro avrà questo valore a meno che l'utente non specifica un altro valore. Se ad esempio si digita Connection String per il nome del parametro, è possibile utilizzare Data Source=.\SQLExpress;Database=Test;Integrated Security per il valore predefinito. Tale voce non è obbligatoria.

Importante
Se si desidera che all'utente venga richiesto di fornire un valore per il parametro, non specificare un valore predefinito.

Tag

Digitare un elenco di attributi personalizzati delimitato da virgole. I tag sono attributi facoltativi per il parametro a cui è possibile fare riferimento successivamente. Ad esempio, il parametro può essere contrassegnato come password in modo tale da non visualizzare il valore password in un'interfaccia utente. Tale voce non è obbligatoria. Utilizzando lo stesso esempio illustrato nella descrizione dell'elemento Valore predefinito, è possibile utilizzare i tag SQL, SQLConnectionString per il parametro Connection String.

Descrizione

Immettere una descrizione per il parametro, ad esempio "Stringa di connessione per il database utilizzato dall'applicazione. Modificarla se l'ambiente contiene un database o un server SQL diverso". La descrizione verrà inserita nel file Parameters.xml all'interno del pacchetto e può essere visualizzata da un prompt dei comandi digitando msdeploy -verb:getParameters -source:package=<NomeFilePacchetto>.

Tipo

Facoltativamente, selezionare un tipo di convalida di parametro. I valori possibili sono Nessuno, Espressione regolare, Enumerazione o Booleano. Il valore predefinito è Nessuno. Se si seleziona un tipo di convalida di parametro diverso da Nessuno, il valore fornito dall'utente per il parametro verrà controllato per verificare che rispetti le condizioni specificate. Se si seleziona il valore Espressione regolare o Enumerazione, è necessario fornire una stringa di convalida nella casella Stringa di convalida.

Stringa di convalida

Digitare un'espressione regolare o un elenco di valori di enumerazione delimitato da virgole. Per ulteriori informazioni sulle espressioni regolari, vedere Espressioni regolari (informazioni in lingua inglese).

Vedere anche

Concetti

Pagina Seleziona parametri
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestra di dialogo Aggiungi voce di parametro

Utilizzare la finestra di dialogo Aggiungi voce di parametro per specificare i valori Tipo, Ambito e Corrispondenza per il parametro.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Tipo | Utilizzare l'elenco a discesa per selezionare il tipo di parametro per l'attributo che verrà parametrizzato. I tipi di parametro possibili sono: File xml, File di testo, Posizione file di testo, Percorso provider, Attributo di distribuzione, Binding di destinazione e Directory virtuale di destinazione. Se ad esempio è stato creato un parametro Connection String, è possibile selezionare File xml nell'elenco a discesa poiché la stringa di connessione risiederà in un file Web.config in formato XML.
Ambito | Immettere un ambito dell'attributo che verrà parametrizzato. Questo valore è un'espressione regolare obbligatoria. Se ad esempio Xml File è il tipo di parametro, è possibile utilizzare l'espressione regolare \\web.config$ per l'ambito. La prima barra rovesciata indica di usare la seconda barra rovesciata come carattere di escape e il simbolo del dollaro ($) interrompe la stringa di corrispondenza alla fine della riga. Pertanto, l'ambito risultante sarà "\web.config". Per ulteriori informazioni sulle espressioni regolari, vedere Espressioni regolari.
Corrispondenza | Digitare un'espressione che identificherà l'attributo da parametrizzare. Questo valore dipende dal tipo. In alcuni casi, sarà un'espressione regolare o un'espressione XPath. Il tipo Xml File richiede che il valore corrispondente sia un'espressione XPath. In base all'esempio precedente, è possibile utilizzare l'espressione XPath //connectionStrings/add/@connectionString per far corrispondere la voce della stringa di connessione all'interno di un file Web.config.

Vedere anche

Concetti

Pagina Seleziona parametri
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestra di dialogo Modifica voce di parametro

Utilizzare la finestra di dialogo Modifica voce di parametro per modificare i valori Tipo, Ambito e Corrispondenza per il parametro. Se non è stato ancora creato un parametro, vedere Finestre di dialogo Aggiungi parametro e Modifica parametro.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Tipo | Utilizzare l'elenco a discesa per modificare il tipo di parametro. I tipi di parametro possibili sono: File xml, File di testo, Posizione file di testo, Percorso provider, Attributo di distribuzione, Binding di destinazione e Directory virtuale di destinazione. Se ad esempio è stato creato un parametro Connection String, è possibile selezionare File xml nell'elenco a discesa poiché la stringa di connessione risiederà in un file Web.config in formato XML.
Ambito | Modificare l'ambito dell'attributo che verrà parametrizzato. Questo valore è un'espressione regolare obbligatoria. Se ad esempio File xml è il tipo di parametro, è possibile utilizzare l'espressione regolare \\web.config$ per l'ambito. La prima barra rovesciata indica di usare la seconda barra rovesciata come carattere di escape e il simbolo del dollaro ($) interrompe la stringa di corrispondenza alla fine della riga. Pertanto, l'ambito risultante sarà "\web.config". Per ulteriori informazioni sulle espressioni regolari, vedere Espressioni regolari.
Corrispondenza | Modificare l'espressione che identificherà l'attributo da parametrizzare. Questo valore dipende dal tipo. In alcuni casi, sarà un'espressione regolare o un'espressione XPath. Il tipo Xml File richiede che il valore corrispondente sia un'espressione XPath. In base all'esempio precedente, è possibile utilizzare l'espressione XPath //connectionStrings/add/@connectionString per far corrispondere la voce della stringa di connessione all'interno di un file Web.config.

Vedere anche

Concetti

Pagina Seleziona parametri
Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Pagina Salva pacchetto

La pagina Salva pacchetto della procedura guidata Esporta pacchetto di applicazioni consente di specificare un nome file e un percorso da utilizzare per salvare il pacchetto.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso pacchetto | Digitare un nome file per il pacchetto. L'estensione del nome file deve essere zip.
Sfoglia… | Fare clic sul pulsante sfoglia per specificare il percorso in cui si desidera salvare il pacchetto.

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Finestra di dialogo Crittografa password

Utilizzare la finestra di dialogo Crittografa password della procedura guidata Esporta pacchetto di applicazioni per fornire una password per il contenuto del pacchetto le cui impostazioni sono state contrassegnate come sicure.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Password | Digitare la password che verrà richiesta all'importazione del pacchetto. Se non si fornisce una password per le impostazioni contrassegnate come sicure, non sarà possibile esportare il pacchetto.
Conferma password | Digitare di nuovo la password per confermarla.

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Pagina Stato esportazione e riepilogo

Utilizzare la pagina Stato esportazione e riepilogo della procedura guidata Esporta applicazione per monitorare lo stato del processo di esportazione e visualizzare il riepilogo e informazioni dettagliate sull'operazione, al termine della procedura guidata.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Stato

Nell'area Stato viene visualizzata l'operazione corrente da eseguire, ad esempio l'esecuzione di una copia dei file o di uno script del database. Durante il processo di esportazione, è possibile che venga richiesta una password se l'applicazione contiene elementi come password o certificati che richiedono la crittografia. L'operazione di esportazione può richiedere molto tempo se la quantità di dati è elevata o se si esportano dati in un server remoto.

Riepilogo

Fornisce una panoramica delle azioni eseguite, inclusi gli eventuali errori che si sono verificati durante il processo di creazione.

Importante
La scheda Riepilogo non contiene un elenco completo delle azioni intraprese o degli errori che si sono verificati. È possibile trovare ulteriori informazioni dettagliate nella scheda Dettagli.

Dettagli

Fornisce un elenco dettagliato della azioni eseguite. Se si sono verificati errori, in tale scheda verranno visualizzate informazioni dettagliate su tali errori da utilizzare per la relativa risoluzione.

Vedere anche

Concetti

Pagine della procedura guidata Esporta pacchetto di applicazioni ed Esporta pacchetto server


Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server

Pagina Seleziona pacchetto

Finestra di dialogo Decrittografa password

Pagina Seleziona contenuto del pacchetto

Finestra di dialogo Impostazioni avanzate (importazione)

Pagina Seleziona database

Pagina Immetti informazioni sul pacchetto di applicazioni

Pagina Sovrascrivi file esistenti

Pagina Stato installazione e Riepilogo


Pagina Seleziona pacchetto

Utilizzare la pagina Seleziona pacchetto per selezionare un pacchetto esistente che si desidera installare nel sito o nel server.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Percorso pacchetto | Specifica il percorso del pacchetto che si desidera installare nel sito o nel server.
Sfoglia… | Fare clic sul pulsante Sfoglia per specificare il percorso del pacchetto che si desidera importare.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Finestra di dialogo Decrittografa password

Utilizzare la finestra di dialogo Decrittografa password della procedura guidata Importa pacchetto di applicazioni per fornire una password per il contenuto del pacchetto le cui impostazioni sono state contrassegnate come sicure.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Password | Digitare la password richiesta per decrittografare il contenuto del pacchetto. Viene richiesta una password poiché alcune impostazioni sono state contrassegnate come sicure durante la creazione del pacchetto. Se non si fornisce la password specificata durante la creazione del pacchetto, non sarà possibile importare il pacchetto.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Pagina Seleziona contenuto del pacchetto

Utilizzare la pagina Seleziona contenuto del pacchetto della procedura guidata Importa pacchetto di applicazioni per visualizzare i componenti inclusi nel pacchetto selezionato nella pagina Seleziona pacchetto.

I pacchetti possono contenere componenti, come ad esempio impostazioni del Registro di sistema, oggetti COM, assembly GAC o certificati. Per installare questi componenti nel server, è necessario essere membro del gruppo Administrators o aver ricevuto in delega l'autorità appropriata. Per installare solo il contenuto, non è necessario disporre dei diritti utente di amministratore.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Contenuto del pacchetto

Elenca i componenti inclusi nel pacchetto. Per specificare gli elementi da distribuire presenti nel pacchetto, selezionare o deselezionare le caselle di controllo dei componenti appropriate. È possibile ad esempio includere o escludere un database SQL o un assembly GAC selezionando o deselezionando la casella di controllo corrispondente.

Attenzione
Alcuni componenti possono essere richiesti dall'applicazione. Se si deselezionano le caselle di controllo di tali componenti, l'applicazione potrebbe non funzionare correttamente dopo l'installazione.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Finestra di dialogo Impostazioni avanzate (importazione)

Utilizzare la finestra di dialogo Impostazioni avanzate della procedura guidata Importa pacchetto di applicazioni per specificare le impostazioni del pacchetto.

Elementi dell'interfaccia utente

Opzioni avanzate

Nome dell'elemento Descrizione

Decrittografa password

Apre la finestra di dialogo Decrittografa password che consente di digitare la password richiesta per decrittografare il contenuto del pacchetto.

Durante un'operazione di importazione, Distribuzione Web rileva automaticamente la presenza di un oggetto crittografato, come un pool di applicazioni con un'identità personalizzata, nei file di configurazione a livello di server del pacchetto, ad esempio ApplicationHost.config o Machine.config. Se tale oggetto è presente, è necessario digitare una password per l'oggetto. Se non si specifica la password corretta, l'operazione di importazione avrà esito negativo.

Includi ACL

Selezionare True se gli ACL del percorso specificato verranno copiati dall'origine alla destinazione; in caso contrario, selezionare False. Questa impostazione è valida per il file system, il Registro di sistema e la metabase e solo per i provider seguenti: appHostConfig, contentPath, iisApp, metaKey, webServer e webServer60. Il valore predefinito è False.

Estensioni del collegamento

Fare clic sul campo a destra, quindi fare clic sulla freccia per visualizzare l'elenco a discesa contenente le estensioni del collegamento. Selezionare o deselezionare le estensioni nell'elenco per abilitare o disabilitare le estensioni del collegamento che si desidera applicare all'operazione. Le estensioni del collegamento includono o escludono tipi di dati specifici di un'operazione. Le estensioni disponibili di Distribuzione Web sono: AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension e HttpCertConfigExtension. Tali estensioni vengono selezionate per impostazione predefinita. Per ulteriori informazioni sulle estensioni del collegamento, vedere Web Deploy Link Extensions (informazioni in lingua inglese).

Numero tentativi

Digitare il numero di tentativi del provider dopo un errore. Il numero predefinito di tentativi è 5. Per impostazione predefinita, tra i tentativi si verifica un ritardo di un secondo. L'impostazione del numero di tentativi può essere utilizzata solo con il provider contentPath.

Intervallo tentativi

Digitare un valore in millisecondi. Tale valore specifica l'intervallo di tempo tra i tentativi del provider. L'impostazione predefinita è 1000 (un secondo). Tale impostazione può essere utilizzata solo con il provider contentPath.

Livello traccia

Selezionare un valore nell'elenco a discesa che specifica il livello di dettaglio dei registri dei messaggi di errore. I valori possibili sono: Off, Error, Warning, Info e Verbose. Il valore predefinito è Info. Off indica che non verrà registrato alcun messaggio di errore. Verbose indica che verranno registrati tutti i messaggi.

Opzioni di sincronizzazione

Nome dell'elemento Descrizione

Regole

Apre la finestra di dialogo Abilita o disabilita regole che consente di specificare le regole per l'operazione. Per ulteriori informazioni, vedere Finestra di dialogo Abilita o disabilita regole.

WhatIf

Fare clic nell'elenco a discesa per selezionare True o False. True specifica che l'operazione verrà eseguita senza apportare effettivamente le modifiche. È possibile utilizzare questa impostazione per visualizzare i risultati di un'operazione e verificare se tutti gli elementi dell'operazione vengono eseguiti correttamente. Il valore predefinito è False.

Nota
Un comando che viene eseguito correttamente con l'impostazione WhatIf potrebbe non riuscire quando viene eseguito senza l'impostazione WhatIf. Ciò può essere dovuto al verificarsi di errori imprevisti durante l'operazione. Ad esempio, poiché durante un'operazione con l'impostazione WhatIf non vengono scritti dati, non verranno rilevati gli errori relativi all'autorizzazione di scrittura. L'impostazione WhatIf mostra solo il risultato dell'esecuzione di tutte le operazioni del comando.

Vedere anche

Concetti

Pagina Seleziona contenuto del pacchetto
Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Pagina Seleziona database

La pagina Seleziona database consente di selezionare le opzioni di database che si desidera utilizzare per il pacchetto da installare. Questa pagina viene visualizzata solo qualora siano disponibili più tipi di database nel pacchetto.

Nota
Qualora siano disponibili più tipi di database nel pacchetto, ma siano state deselezionate le caselle di controllo nella pagina Seleziona contenuto del pacchetto per tutti i database tranne uno, questa pagina non verrà visualizzata.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Scegliere il database che si desidera utilizzare | Selezionare il tipo di database per l'installazione. I tipi di database possibili sono SQL, MySQL, VistaDB, SQLite, File flat o Nessun database. Il contenuto del pacchetto da installare determina le opzioni di database visualizzate. Solo le opzioni SQL e MySQL dispongono di provider associati. Per ulteriori informazioni, vedere Web Deploy dbFullSql Provider (informazioni in lingua inglese) e Web Deploy MySQL Provider (informazioni in lingua inglese).
Crea nuovo database o utilizzane uno esistente | Selezionare Crea nuovo database per creare un nuovo database o Utilizza database esistente per utilizzare un database esistente. Questa opzione è abilitata solo quando è stato scelto il tipo di database SQL o MySQL.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server
Pagina Immetti informazioni sul pacchetto di applicazioni


Pagina Immetti informazioni sul pacchetto di applicazioni

Utilizzare la pagina Immetti informazioni sul pacchetto di applicazioni della procedura guidata Importa pacchetto di applicazioni per specificare i valori dei parametri dichiarati nel pacchetto. Per ogni parametro è presente un campo nella pagina. I campi visualizzati nella pagina dipendono dai parametri dichiarati nel pacchetto.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
<Nome parametro> | Consente di specificare un valore per il parametro richiesto per installare il pacchetto. Tali informazioni possono includere il percorso completo del sito in cui si desidera installare l'applicazione, le credenziali utente o il nome del database dell'applicazione. È possibile ad esempio modificare il valore del percorso dell'applicazione per specificare dove installare l'applicazione, ad esempio Default Web Site/NewApp.

Vedere anche

Concetti

Finestra di dialogo Modifica stringa di connessione


Finestra di dialogo Modifica stringa di connessione

La finestra di dialogo Modifica stringa di connessione consente di specificare la stringa di connessione e le credenziali da utilizzare.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
Server SQL | Selezionare questa opzione per utilizzare un server SQL specificato.
Server | Digitare il percorso o la stringa di connessione del server che si desidera utilizzare, ad esempio .\SQLExpress.
Database | Digitare il nome del database che si desidera utilizzare, ad esempio Test.
Utilizza sicurezza integrata di Windows | Selezionare questa opzione per utilizzare la sicurezza integrata di Windows. La sicurezza integrata di Windows passa le credenziali utente ad ASP.NET senza richiedere la riautenticazione se l'utente ha già effettuato l'accesso a Windows. Questo metodo di autenticazione funziona meglio se il client e il server risiedono nello stesso dominio.
Specifica credenziali | Selezionare questa opzione per utilizzare le credenziali specificate dall'utente. Fare clic su Imposta per aprire la finestra di dialogo Imposta credenziali e specificare il nome utente e la password.
Personalizzato | Selezionare questa opzione per specificare una stringa di connessione o un percorso personalizzato per il server che si desidera utilizzare, ad esempio Server=.\SQLExpress;Database=Test;Integrated Security=true.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server
Pagina Immetti informazioni sul pacchetto di applicazioni


Pagina Sovrascrivi file esistenti

Utilizzare la pagina Sovrascrivi file esistenti per specificare se aggiungere i nuovi file nella destinazione o se sovrascrivere i file esistenti eliminando i file non presenti nel pacchetto di applicazioni.

Elementi dell'interfaccia utente

Nome dell'elemento | Descrizione
No, aggiungi solo i file del pacchetto di applicazioni nella destinazione. | Selezionare questa opzione per mantenere i file esistenti nella destinazione e aggiungere i nuovi file del pacchetto di applicazioni.
Sì, elimina tutti i file e le cartelle aggiuntivi nella destinazione non presenti nel pacchetto di applicazioni. | Selezionare questa opzione per eliminare tutti i file nella destinazione non presenti nel pacchetto di applicazioni.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server


Pagina Stato installazione e Riepilogo

Utilizzare la pagina Stato installazione e Riepilogo per monitorare lo stato del processo di importazione e visualizzare il riepilogo e informazioni dettagliate sull'operazione al termine della procedura guidata.

Elementi dell'interfaccia utente

Nome dell'elemento Descrizione

Stato

Nell'area Stato viene visualizzata l'operazione corrente da eseguire, ad esempio l'esecuzione di una copia dei file o di uno script del database. Durante il processo di importazione, è possibile che venga richiesta una password se l'applicazione contiene elementi come password o certificati che richiedono la decrittografia. L'operazione di importazione può richiedere molto tempo se la quantità di dati è elevata o se si importano dati in un server remoto o dallo stesso.

Riepilogo

Fornisce una panoramica delle azioni eseguite, inclusi gli eventuali errori che si sono verificati durante il processo di installazione.

Importante
La scheda Riepilogo non contiene un elenco completo delle azioni intraprese o degli errori che si sono verificati. È possibile trovare ulteriori informazioni dettagliate nella scheda Dettagli.

Dettagli

Fornisce un elenco dettagliato della azioni eseguite. Se si sono verificati errori, in tale scheda verranno visualizzate informazioni dettagliate su tali errori da utilizzare per la relativa risoluzione.

Vedere anche

Concetti

Pagine della procedura guidata Importa pacchetto di applicazioni e Importa pacchetto sito o server